MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026529Open CASCADE[OCCT] OCCT:Configurationpublic2015-08-06 21:372016-04-20 15:48
Reporteribs 
Assigned Toski 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026529: CMake offers rebuilding of platform dependent code unclear for an user
DescriptionBison and Flex variables in CMake project are very confused. Also theirs search is inconsistent as compared with all other 3rdparty searches
Steps To Reproducebuild OCCT with using CMake
check REBUILD_PLATFORM_DEPENDENT_CODE variable

rebuilding of platform dependent code requires flex and bison executables.

Corresponding variables (3rdparty_flex_executable and 3rdparty_bison_executable) should be specified also
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024816closedabv Tool for upgrading OCCT and dependent code 

-  Notes
(0043896)
git (administrator)
2015-08-06 21:40

Branch CR26529 has been created by ibs.

SHA-1: f98bd0f4929b0b1a3b61517c2a89bc9a38e97d3a


Detailed log of new commits:

Author: ibs
Date: Thu Aug 6 20:59:26 2015 +0300

    [CMake] rebuild platform dependent code by cmake cleaned up
(0043926)
git (administrator)
2015-08-07 16:55

Branch CR26529 has been updated by ibs.

SHA-1: 7218a5c67308ea8bac00bcc257981ab32fde9973


Detailed log of new commits:

Author: ibs
Date: Fri Aug 7 16:54:53 2015 +0300

    description of user's variables extended

Author: ibs
Date: Fri Aug 7 15:11:45 2015 +0300

    BuildToolkit.cmake cleaned up and renamed

Author: ibs
Date: Fri Aug 7 14:30:18 2015 +0300

    CMake variables renamed

Author: ibs
Date: Fri Aug 7 11:22:33 2015 +0300

    [CMake] update internal bison-flex variables

(0043953)
git (administrator)
2015-08-10 19:09

Branch CR26529 has been updated forcibly by ibs.

SHA-1: 9da88d62a1d2676d0590ba9e23cd43076e5b1975
(0043960)
git (administrator)
2015-08-11 10:12

Branch CR26529 has been updated by ibs.

SHA-1: 4f0d1c75556cbd85cd48184944a74cc96a8b2e9f


Detailed log of new commits:

Author: ibs
Date: Tue Aug 11 10:11:32 2015 +0300

    DrawAppliInit template removed; DrawAppliInit is copied only when occt root contains it and cmake binary folder does not contain it

(0043976)
git (administrator)
2015-08-11 16:13

Branch CR26529 has been updated by ibs.

SHA-1: 0e5c39d07fbd48908dd11a2761c9dc1c32acccb9


Detailed log of new commits:

Author: ibs
Date: Tue Aug 11 16:12:08 2015 +0300

    "Building with CMake" article updated

(0043978)
git (administrator)
2015-08-11 17:02

Branch CR26529 has been updated by ibs.

SHA-1: f3c988f7dd0980459e924ff135eed7919801d6da


Detailed log of new commits:

Author: ibs
Date: Tue Aug 11 17:01:33 2015 +0300

    CMake variable descriptions updated

(0043979)
git (administrator)
2015-08-11 17:06

Branch CR26529 has been updated forcibly by ibs.

SHA-1: 0c501b6e81f7979ac9749fc049c3a55d82bde627
(0043980)
ibs (developer)
2015-08-11 17:09

dear ski,
please review the changes from CR26529 branch of OCCT git.
(0043981)
ibs (developer)
2015-08-11 17:11

the changes covers not only platform depended code. Additional changes are described in the last commit of the branch.
(0044033)
ski (developer)
2015-08-12 15:14

Dear ibs,

It seems that it is impossible to use bison/flex executables defined by user ( 3RDPARTY_BISON_EXECUTABLE / 3RDPARTY_FLEX_EXECUTABLE )

Also, in file "adm/cmake/occt_toolkit.cmake" condition
  "if (EXISTS "${CURRENT_FLEX_FILE}" AND EXISTS "${CURRENT_BISON_FILE}" AND ${ARE_FILES_EQUAL})"
 could not be true, but it works with "${CMP_DIR}/${CURRENT_FLEX_FILE}"
(0044040)
git (administrator)
2015-08-12 16:21

Branch CR26529 has been updated by ibs.

SHA-1: 898bbc3788cac3a86cafbb58ef605e74fd37aa60


Detailed log of new commits:

Author: ibs
Date: Wed Aug 12 16:15:35 2015 +0300

    file names with platform dependent code are received from directory parsing but not "FILE" file reading
    
    FindBISON & FindFLEX scripts are executed every time to define BISON_TARGET & FLEX_TARGET macros

(0044041)
git (administrator)
2015-08-12 16:22

Branch CR26529 has been updated forcibly by ibs.

SHA-1: 5bbf031a343a2441a58f12e63794ec910e44a244
(0044044)
ibs (developer)
2015-08-12 16:26

dear ski,

all mentioned remarks are taken into account and an required patch is integrated. Could you please have a look at the last commit of CR26529 branch of OCCT git.
(0044093)
git (administrator)
2015-08-13 16:05

Branch CR26529 has been updated by ski.

SHA-1: ce78ea7d84219cc987ce896d3348e63dff83629c


Detailed log of new commits:

Author: ski
Date: Thu Aug 13 10:38:20 2015 +0300

    Correct names of bison/flex output files are used as source files.

(0044094)
ski (developer)
2015-08-13 16:08

Dear ibs,

i have updated branch CR26529, correct paths to bison/flex output files are used now.

Please check generation of files.
(0044384)
git (administrator)
2015-08-18 17:32

Branch CR26529 has been updated forcibly by ibs.

SHA-1: af0929f1ee12fa455ca13af15bb1ee0ce280d030
(0044427)
git (administrator)
2015-08-19 13:44

Branch CR26529 has been updated by ibs.

SHA-1: 4ba11a77b8448997780a9c3d518a7a092b6bcbe5


Detailed log of new commits:

Author: ibs
Date: Wed Aug 19 12:34:53 2015 +0300

    [CMake] RelWithDebInfo OCCT libraries are moved to libi folder; the binary is moved to bini one
    
    CMAKE_BUILD_TYPE is set by-default for a single-configuration generator

(0044429)
git (administrator)
2015-08-19 13:50

Branch CR26529_1 has been created by ibs.

SHA-1: 7248b90b1dc6ca855ed4fc6b4cd617682a1a487b


Detailed log of new commits:

Author: ibs
Date: Wed Aug 19 12:34:53 2015 +0300

    [CMake] RelWithDebInfo OCCT libraries are moved to libi folder; the binary is moved to bini one
    
    CMAKE_BUILD_TYPE is set by-default for a single-configuration generator

Author: ibs
Date: Thu Aug 6 20:59:26 2015 +0300

    0026529: CMake offers rebuilding of platform dependent code unclear for an user
    
    CMake variable descriptions updated
    "Building with CMake" article updated
    
    BuildToolkit.cmake cleaned up and renamed
    "TestCases" project and all relating variables removed; custom script added for building environment
    DrawAppliInit added to CMake binary dir (from occt root or from templates folder if occt root does not contain it)
    
    rebuild platform dependent code by cmake cleaned up
    
    Flex & Bison compiler flags added
(0044436)
git (administrator)
2015-08-19 15:43

Branch CR26529_1 has been deleted by ibs.

SHA-1: 7248b90b1dc6ca855ed4fc6b4cd617682a1a487b
(0044438)
git (administrator)
2015-08-19 15:44

Branch CR26529 has been updated forcibly by ibs.

SHA-1: e09dec2cff790a271e457ec69b68627ec4e9ff41
(0044439)
git (administrator)
2015-08-19 15:52

Branch CR26529 has been updated forcibly by ibs.

SHA-1: 97b96a18afe6c039f4b0f4986142029266cabfe9
(0044442)
ibs (developer)
2015-08-19 16:02
edited on: 2015-08-19 16:05

dear bugmaster,
please test CR26529 branch of OCCT git

The test includes several steps below:

*. REBUILD_PLATFORM_DEPENDENT_CODE variable should be checked during entire the test process

**. you should have bison and flex executables

1. (win) generate visual studio 2010 x64 solution, build and install it (release and relwithdebinfo)
2. (lin) generate make files, build them and install (for two versions of build type)
  2.1 specify CMAKE_BUILD_TYPE as Release
  2.2 specify CMAKE_BUILD_TYPE as RelWithDebInfo

(0044444)
git (administrator)
2015-08-19 17:48

Branch CR26529 has been updated by ibs.

SHA-1: ad9ea4aad608e2ec15aa392b00f15699201f70e7


Detailed log of new commits:

Author: ibs
Date: Wed Aug 19 17:48:24 2015 +0300

    env.bat in installation folder has default value of CASDEB that equals to the build type of the last installed OCCT libraries

(0044449)
git (administrator)
2015-08-19 19:08

Branch CR26529 has been updated forcibly by abv.

SHA-1: ad5f15f0a4f0885af010e7dd086689350822e648
(0044468)
git (administrator)
2015-08-20 14:46

Branch CR26529 has been updated forcibly by ibs.

SHA-1: da5dffd291b74dff14d1f7bcebce87114a7ac177
(0044485)
git (administrator)
2015-08-20 17:06

Branch CR26529 has been updated by ibs.

SHA-1: dcb223e3a7b3afca37b301ab6f35311da53ae10e


Detailed log of new commits:

Author: ibs
Date: Thu Aug 20 17:06:31 2015 +0300

    images added to "building with cmake" article

(0044511)
git (administrator)
2015-08-21 17:00

Branch CR26529 has been updated by ibs.

SHA-1: 29d495aa17a1ed950ed2785ad0abbc77070fb3b4


Detailed log of new commits:

Author: ibs
Date: Fri Aug 21 15:44:32 2015 +0300

    [CMake] "patch" functionality fixed (except mfc samples)

(0044525)
git (administrator)
2015-08-23 22:57

Branch CR26529 has been updated by ibs.

SHA-1: 4303c1f6a202b9ac88d943dcfbf1379a9b910732


Detailed log of new commits:

Author: ibs
Date: Sun Aug 23 19:49:38 2015 +0300

    CMake variable descriptions updated

(0044526)
git (administrator)
2015-08-23 23:53

Branch CR26529 has been updated by ibs.

SHA-1: 66c82678b920534f71f2ff0659cbb177546d569b


Detailed log of new commits:

Author: ibs
Date: Sun Aug 23 23:53:12 2015 +0300

    The width of CMake variable descriptions realigned

(0047077)
git (administrator)
2015-10-16 16:57

Branch CR26529 has been deleted by kgv.

SHA-1: 66c82678b920534f71f2ff0659cbb177546d569b

- Related Changesets
occt: master 316d77d9
Timestamp: 2015-08-20 13:24:50
Author: ibs
Committer: ski
Details ] Diff ]
0026529: CMake offers rebuilding of platform dependent code unclear for an user

Fix for building with GCC and CLang

CMake variable descriptions updated
"Building with CMake" article updated

BuildToolkit.cmake cleaned up and renamed
"TestCases" project and all relating variables removed; custom script added for building environment
DrawAppliInit is copied from occt root to CMake binary dir if the file exists

rebuild platform dependent code by cmake cleaned up
Flex & Bison compiler flags added

RelWithDebInfo OCCT libraries are moved to libi folder; the binary is moved to bini one

CMAKE_BUILD_TYPE is set as Release by-default for a single-configuration generator

env.bat in installation folder has default value of CASDEB that equals to the build type of the last installed OCCT libraries

"building with CMake" article updated
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
add - adm/cmake/bison.cmake Diff ] File ]
rm - adm/cmake/BuildToolkit.cmake Diff ] File ]
add - adm/cmake/flex.cmake Diff ] File ]
mod - adm/cmake/freetype.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
add - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - adm/cmake/tbb.cmake Diff ] File ]
mod - adm/cmake/tcl.cmake Diff ] File ]
add - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/cmake/vtk.cmake Diff ] File ]
mod - adm/templates/custom.bat.main Diff ] File ]
add - adm/templates/custom.build.bat.in Diff ] File ]
add - adm/templates/custom.build.sh.in Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
mod - adm/templates/env.build.bat.in Diff ] File ]
mod - adm/templates/env.build.sh.in Diff ] File ]
mod - adm/templates/env.sh Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/building/building.md Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
mod - dox/dev_guides/building/cmake/images/cmake_image001.png Diff ] File ]
mod - dox/dev_guides/building/cmake/images/cmake_image002.png Diff ] File ]
mod - dox/dev_guides/building/cmake/images/cmake_image007.png Diff ] File ]
mod - src/DRAWEXE/CMakeLists.txt Diff ] File ]
mod - src/FWOSPlugin/CMakeLists.txt Diff ] File ]
mod - src/TKBin/CMakeLists.txt Diff ] File ]
mod - src/TKBinL/CMakeLists.txt Diff ] File ]
mod - src/TKBinTObj/CMakeLists.txt Diff ] File ]
mod - src/TKBinXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKBO/CMakeLists.txt Diff ] File ]
mod - src/TKBool/CMakeLists.txt Diff ] File ]
mod - src/TKBRep/CMakeLists.txt Diff ] File ]
mod - src/TKCAF/CMakeLists.txt Diff ] File ]
mod - src/TKCDF/CMakeLists.txt Diff ] File ]
mod - src/TKDCAF/CMakeLists.txt Diff ] File ]
mod - src/TKDraw/CMakeLists.txt Diff ] File ]
mod - src/TKernel/CMakeLists.txt Diff ] File ]
mod - src/TKFeat/CMakeLists.txt Diff ] File ]
mod - src/TKFillet/CMakeLists.txt Diff ] File ]
mod - src/TKG2d/CMakeLists.txt Diff ] File ]
mod - src/TKG3d/CMakeLists.txt Diff ] File ]
mod - src/TKGeomAlgo/CMakeLists.txt Diff ] File ]
mod - src/TKGeomBase/CMakeLists.txt Diff ] File ]
mod - src/TKHLR/CMakeLists.txt Diff ] File ]
mod - src/TKIGES/CMakeLists.txt Diff ] File ]
mod - src/TKIVtk/CMakeLists.txt Diff ] File ]
mod - src/TKIVtkDraw/CMakeLists.txt Diff ] File ]
mod - src/TKLCAF/CMakeLists.txt Diff ] File ]
mod - src/TKMath/CMakeLists.txt Diff ] File ]
mod - src/TKMesh/CMakeLists.txt Diff ] File ]
mod - src/TKMeshVS/CMakeLists.txt Diff ] File ]
mod - src/TKOffset/CMakeLists.txt Diff ] File ]
mod - src/TKOpenGl/CMakeLists.txt Diff ] File ]
mod - src/TKPrim/CMakeLists.txt Diff ] File ]
mod - src/TKQADraw/CMakeLists.txt Diff ] File ]
mod - src/TKService/CMakeLists.txt Diff ] File ]
mod - src/TKShHealing/CMakeLists.txt Diff ] File ]
mod - src/TKSTEP/CMakeLists.txt Diff ] File ]
mod - src/TKSTEP209/CMakeLists.txt Diff ] File ]
mod - src/TKSTEPAttr/CMakeLists.txt Diff ] File ]
mod - src/TKSTEPBase/CMakeLists.txt Diff ] File ]
mod - src/TKSTL/CMakeLists.txt Diff ] File ]
mod - src/TKTObj/CMakeLists.txt Diff ] File ]
mod - src/TKTObjDRAW/CMakeLists.txt Diff ] File ]
mod - src/TKTopAlgo/CMakeLists.txt Diff ] File ]
mod - src/TKTopTest/CMakeLists.txt Diff ] File ]
mod - src/TKV3d/CMakeLists.txt Diff ] File ]
mod - src/TKViewerTest/CMakeLists.txt Diff ] File ]
mod - src/TKVoxel/CMakeLists.txt Diff ] File ]
mod - src/TKVRML/CMakeLists.txt Diff ] File ]
mod - src/TKXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKXDEDRAW/CMakeLists.txt Diff ] File ]
mod - src/TKXDEIGES/CMakeLists.txt Diff ] File ]
mod - src/TKXDESTEP/CMakeLists.txt Diff ] File ]
mod - src/TKXMesh/CMakeLists.txt Diff ] File ]
mod - src/TKXml/CMakeLists.txt Diff ] File ]
mod - src/TKXmlL/CMakeLists.txt Diff ] File ]
mod - src/TKXmlTObj/CMakeLists.txt Diff ] File ]
mod - src/TKXmlXCAF/CMakeLists.txt Diff ] File ]
mod - src/TKXSBase/CMakeLists.txt Diff ] File ]
mod - src/TKXSDRAW/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-06 21:37 ibs New Issue
2015-08-06 21:37 ibs Assigned To => ibs
2015-08-06 21:40 git Note Added: 0043896
2015-08-07 16:55 git Note Added: 0043926
2015-08-10 19:09 git Note Added: 0043953
2015-08-11 10:12 git Note Added: 0043960
2015-08-11 14:44 ibs Status new => resolved
2015-08-11 14:44 ibs Steps to Reproduce Updated View Revisions
2015-08-11 16:13 git Note Added: 0043976
2015-08-11 17:02 git Note Added: 0043978
2015-08-11 17:06 git Note Added: 0043979
2015-08-11 17:07 ibs Assigned To ibs => ski
2015-08-11 17:09 ibs Note Added: 0043980
2015-08-11 17:11 ibs Note Added: 0043981
2015-08-11 17:13 ibs Relationship added related to 0024816
2015-08-12 15:14 ski Note Added: 0044033
2015-08-12 15:14 ski Assigned To ski => ibs
2015-08-12 15:14 ski Status resolved => assigned
2015-08-12 16:21 git Note Added: 0044040
2015-08-12 16:22 git Note Added: 0044041
2015-08-12 16:26 ibs Note Added: 0044044
2015-08-12 16:26 ibs Assigned To ibs => ski
2015-08-12 16:26 ibs Status assigned => resolved
2015-08-12 16:26 ibs Steps to Reproduce Updated View Revisions
2015-08-13 16:05 git Note Added: 0044093
2015-08-13 16:08 ski Note Added: 0044094
2015-08-13 16:08 ski Assigned To ski => ibs
2015-08-13 16:08 ski Status resolved => assigned
2015-08-18 17:32 git Note Added: 0044384
2015-08-19 13:44 git Note Added: 0044427
2015-08-19 13:50 git Note Added: 0044429
2015-08-19 15:43 git Note Added: 0044436
2015-08-19 15:44 git Note Added: 0044438
2015-08-19 15:52 git Note Added: 0044439
2015-08-19 15:54 ibs Status assigned => resolved
2015-08-19 15:54 ibs Steps to Reproduce Updated View Revisions
2015-08-19 16:02 ibs Note Added: 0044442
2015-08-19 16:02 ibs Assigned To ibs => bugmaster
2015-08-19 16:02 ibs Status resolved => reviewed
2015-08-19 16:05 ibs Note Edited: 0044442 View Revisions
2015-08-19 17:48 git Note Added: 0044444
2015-08-19 19:08 git Note Added: 0044449
2015-08-20 14:46 git Note Added: 0044468
2015-08-20 17:06 git Note Added: 0044485
2015-08-21 13:10 mkv Status reviewed => tested
2015-08-21 13:10 mkv Test case number => Not needed
2015-08-21 13:40 ski Changeset attached => occt master 316d77d9
2015-08-21 13:40 ski Assigned To bugmaster => ski
2015-08-21 13:40 ski Status tested => verified
2015-08-21 13:40 ski Resolution open => fixed
2015-08-21 17:00 git Note Added: 0044511
2015-08-23 22:57 git Note Added: 0044525
2015-08-23 23:53 git Note Added: 0044526
2015-10-16 16:57 git Note Added: 0047077
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker